안드로이드 스튜디오에서 에뮬로 실행하면 가끔 이런 오류를 볼 수 있습니다.

 

 

pkg: /data/local/tmp/패키지 내임

Failure : [INSTALL_FALED_UPDATE_INCOMPATIBLE]

 

이 에러가 나는 가장 흔한 이유는 이전에 테스트하던 프로그램이 지워지지 않았기 때문입니다.

보통은 IDE에서 자동으로 프로그램을 지우거나 덮어 씌우는 과정을 거치게 되는데 이럴때 나는 에러입니다.

 

디바이스에서 직접 프로그램을 지운 후 다시 시도하면 해결 됩니다.

댓글 작성

이름
패스워드
홈페이지
비밀글

티스토리 툴바